package com.cloudcross.ssp.model;

import java.util.Date;

public final class OperatorReport {
	//id
	private Long id;
	//广告位id
	private Long zoneId;
	//广告位名称
	private String zoneName;
	//浏览量占比
	private double viewRate;
	//广告位宽
	private double width;
	//广告位高
	private double height;
	//位置
	private Long position;
	//系统
	private Long system;
	//类型
	private Long device;
	//地域
	private Long location;
	
	//省份
	private String cn;
	//是不是省份的标志1-表示省份，2-表示不是,默认不是
	//注：这个属性是在地域报表导出excel时用到的
	private Integer cnMark = 2;
	//城市
	private String cn_city;
	//场景
	private String place;
	//热点
	private String apmac;
	//PV
	private double pv;
	//UV
	private double uv;
	//曝光数
	private double impression;
	//唯一曝光数
	private Long uImpression;
	//点击数
	private double click;
	//唯一点击数
	private Long uClick;
    //填充率
    private double fillRate;
    //点击率
	private double clickRate;
	//eCmp
	private double eCpm;
	//收入
	private double income;
	//日期
	private Date reportDate;
	//开始日期
	private Date startDate;
	//结束日期
	private Date endDate;	
	
	public String getApmac() {
		return apmac;
	}
	public void setApmac(String apmac) {
		this.apmac = apmac;
	}
	public Long getuImpression() {
		return uImpression;
	}
	public void setuImpression(Long uImpression) {
		this.uImpression = uImpression;
	}
	public Long getuClick() {
		return uClick;
	}
	public void setuClick(Long uClick) {
		this.uClick = uClick;
	}
	public Integer getCnMark() {
		return cnMark;
	}
	public void setCnMark(Integer cnMark) {
		this.cnMark = cnMark;
	}
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public Long getZoneId() {
		return zoneId;
	}
	public void setZoneId(Long zoneId) {
		this.zoneId = zoneId;
	}
	
	public String getZoneName() {
		return zoneName;
	}
	public void setZoneName(String zoneName) {
		this.zoneName = zoneName;
	}
	public double getViewRate() {
		return viewRate;
	}
	public void setViewRate(double viewRate) {
		this.viewRate = viewRate;
	}
	public double getWidth() {
		return width;
	}
	public void setWidth(double width) {
		this.width = width;
	}
	public double getHeight() {
		return height;
	}
	public void setHeight(double height) {
		this.height = height;
	}
	
	
	public Long getPosition() {
		return position;
	}
	public void setPosition(Long position) {
		this.position = position;
	}
	
	
	public Long getSystem() {
		return system;
	}
	public void setSystem(Long system) {
		this.system = system;
	}
	
	
	public Long getDevice() {
		return device;
	}
	public void setDevice(Long device) {
		this.device = device;
	}
	
	
	public Long getLocation() {
		return location;
	}
	public void setLocation(Long location) {
		this.location = location;
	}
	
	public String getCn() {
		return cn;
	}
	public void setCn(String cn) {
		this.cn = cn;
	}
	public String getCn_city() {
		return cn_city;
	}
	public void setCn_city(String cn_city) {
		this.cn_city = cn_city;
	}
	public String getPlace() {
		return place;
	}
	public void setPlace(String place) {
		this.place = place;
	}
	public double getPv() {
		return pv;
	}
	public void setPv(double pv) {
		this.pv = pv;
	}
	public double getUv() {
		return uv;
	}
	public void setUv(double uv) {
		this.uv = uv;
	}
	public double getImpression() {
		return impression;
	}
	public void setImpression(double impression) {
		this.impression = impression;
	}
	public double getClick() {
		return click;
	}
	public void setClick(double click) {
		this.click = click;
	}
	public double getFillRate() {
		return fillRate;
	}
	public void setFillRate(double fillRate) {
		this.fillRate = fillRate;
	}
	public double getClickRate() {
		return clickRate;
	}
	public void setClickRate(double clickRate) {
		this.clickRate = clickRate;
	}
	public double geteCpm() {
		return eCpm;
	}
	public void seteCpm(double eCpm) {
		this.eCpm = eCpm;
	}
	public double getIncome() {
		return income;
	}
	public void setIncome(double income) {
		this.income = income;
	}
	public Date getReportDate() {
		return reportDate;
	}
	public void setReportDate(Date reportDate) {
		this.reportDate = reportDate;
	}
	
	public Date getStartDate() {
		return startDate;
	}
	public void setStartDate(Date startDate) {
		this.startDate = startDate;
	}
	public Date getEndDate() {
		return endDate;
	}
	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}
	
	@Override
	public String toString() {
		return "OperatorReport [id=" + id + ", zoneId=" + zoneId
				+ ", zoneName=" + zoneName + ", viewRate=" + viewRate
				+ ", width=" + width + ", height=" + height + ", position="
				+ position + ", system=" + system + ", device=" + device
				+ ", location=" + location + ", cn=" + cn + ", cnMark="
				+ cnMark + ", cn_city=" + cn_city + ", place=" + place
				+ ", apmac=" + apmac + ", pv=" + pv + ", uv=" + uv
				+ ", impression=" + impression + ", uImpression=" + uImpression
				+ ", click=" + click + ", uClick=" + uClick + ", fillRate="
				+ fillRate + ", clickRate=" + clickRate + ", eCpm=" + eCpm
				+ ", income=" + income + ", reportDate=" + reportDate
				+ ", startDate=" + startDate + ", endDate=" + endDate + "]";
	}
	
	
	
}
